<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="${packageName}.${activityClass}" >

    <TextView
        android:id="@+id/textview1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="20dip"
        android:gravity="center"
        android:text="输入自动重拨的手机号码："
        android:textColor="#e31111" />

    <EditText
        android:id="@+id/edittext1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/textview1"
        android:layout_centerInParent="true"
        android:ems="10"
        android:gravity="center"
        android:inputType="number"
        android:textStyle="normal" />

    <TextView
        android:id="@+id/textview12"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/edittext1"
        android:layout_centerHorizontal="true"
        android:gravity="center"
        android:text="输入重拨次数："
        android:textColor="#54f15f" />

    <EditText
        android:id="@+id/edittext2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/textview12"
        android:layout_centerInParent="true"
        android:ems="10"
        android:gravity="center"
        android:inputType="number"
        android:text="10"
        android:textStyle="normal" />

    <CheckBox
        android:id="@+id/checkBox1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/edittext2"
        android:layout_centerHorizontal="true"
        android:checked="true"
        android:text="开免提" />

    <LinearLayout
        android:id="@+id/linearLayout1"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/checkBox1"
        android:layout_centerVertical="true"
        android:gravity="center"
        android:orientation="horizontal" >

        <Button
            android:id="@+id/button1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="挂断重拨" />

        <Button
            android:id="@+id/button2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="自动重拨" />

        <Button
            android:id="@+id/button3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="停止重拨" />
    </LinearLayout>

    <Button
        android:id="@+id/button3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/linearLayout1"
        android:layout_centerHorizontal="true"
        android:background="#7708bd"
        android:text="挂断重拨(骚扰)：隔5s挂断后拨打一次" />

    <Button
        android:id="@+id/button4"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/button3"
        android:layout_centerHorizontal="true"
        android:background="#86efb2"
        android:text="自动重拨(实用)：拨打未通则继续打. " />

    <TextView
        android:id="@+id/textview2"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/button4"
        android:layout_centerHorizontal="true"
        android:gravity="center"
        android:text="已拨打次数：\n0次"
        android:textColor="#17d820"
        android:textSize="30sp" />

</RelativeLayout>